View Issue Details

IDProjectCategoryView StatusLast Update
0001945Far ManagerEditorpublic2012-01-12 07:50
ReporterRaistlinAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001945: Не можем сдвинуть вертикальный блок с концом строки
DescriptionЕсли вертикальный блок включает в себя конец строки (сделан с помощью Alt-End), то попытка его сдвига на позицию внутри него потерпит неудачу.
Steps To Reproduce[x] Persistent blocks, остальное по умолчанию.
1. В пустой строке печатаем "abcde", встаем в начало строки, жмем Alt-End.
2. Встаем на "b", жмем Ctrl-M. Ожидаем сдвига блока на 1 позицию вправо, получаем переход на "a".
3. Что интересно, если теперь нажать Enter, в блок добавится кусок новой пустой строки. Так вот, если в ней встать над "b" и нажать Ctrl-M, то блок таки сдвинется.
TagsNo tags attached.
Build2357

Activities

vskirdin

2012-01-10 15:32

administrator   bugnote:0008340

build 2357

Raistlin

2012-01-12 03:25

reporter   bugnote:0008384

Работает.

Issue History

Date Modified Username Field Change
2011-12-15 00:47 Raistlin New Issue
2012-01-10 15:32 vskirdin Note Added: 0008340
2012-01-10 15:32 vskirdin Assigned To => vskirdin
2012-01-10 15:32 vskirdin Status new => feedback
2012-01-12 03:25 Raistlin Note Added: 0008384
2012-01-12 03:25 Raistlin Status feedback => assigned
2012-01-12 03:25 Raistlin Status assigned => resolved
2012-01-12 07:50 vskirdin Build => 2357
2012-01-12 07:50 vskirdin Status resolved => closed
2012-01-12 07:50 vskirdin Resolution open => fixed
2012-01-12 07:50 vskirdin Fixed in Version => 3.0